package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 企业微信标签
 *
 * @author fdh
 */
public class QywxTagInfoDTO implements Serializable {
    /**
     *
     */
    private String qywxTagId;

    /**
     * 企业微信id
     */
    private String wxEnterpriseId;

    /**
     * 企业微信对应的标签组id
     */
    private String qywxGroupKey;

    /**
     * 标签组名称
     */
    private String qywxGroupName;

    /**
     * 排序
     */
    private Long order;

    /**
     * 0删除 1正常
     */
    private Integer statusFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;
    /**
     * 标签id
     */
    private String memberTagId;

    /**
     */
    private static final long serialVersionUID = 1L;

    public String getMemberTagId() {
        return memberTagId;
    }

    public void setMemberTagId(String memberTagId) {
        this.memberTagId = memberTagId;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_tag.qywx_tag_id
     *
     * @return the value of tab_haoban_qywx_tag.qywx_tag_id
     */
    public String getQywxTagId() {
        return qywxTagId;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_tag.qywx_tag_id
     *
     * @param qywxTagId the value for tab_haoban_qywx_tag.qywx_tag_id
     */
    public void setQywxTagId(String qywxTagId) {
        this.qywxTagId = qywxTagId;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_tag.wx_enterprise_id
     *
     * @return the value of tab_haoban_qywx_tag.wx_enterprise_id
     */
    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_tag.wx_enterprise_id
     *
     * @param wxEnterpriseId the value for tab_haoban_qywx_tag.wx_enterprise_id
     */
    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_tag.qywx_group_key
     *
     * @return the value of tab_haoban_qywx_tag.qywx_group_key
     */
    public String getQywxGroupKey() {
        return qywxGroupKey;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_tag.qywx_group_key
     *
     * @param qywxGroupKey the value for tab_haoban_qywx_tag.qywx_group_key
     */
    public void setQywxGroupKey(String qywxGroupKey) {
        this.qywxGroupKey = qywxGroupKey;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_tag.qywx_group_name
     *
     * @return the value of tab_haoban_qywx_tag.qywx_group_name
     */
    public String getQywxGroupName() {
        return qywxGroupName;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_tag.qywx_group_name
     *
     * @param qywxGroupName the value for tab_haoban_qywx_tag.qywx_group_name
     */
    public void setQywxGroupName(String qywxGroupName) {
        this.qywxGroupName = qywxGroupName;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_tag.order
     *
     * @return the value of tab_haoban_qywx_tag.order
     */
    public Long getOrder() {
        return order;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_tag.order
     *
     * @param order the value for tab_haoban_qywx_tag.order
     */
    public void setOrder(Long order) {
        this.order = order;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_tag.status_flag
     *
     * @return the value of tab_haoban_qywx_tag.status_flag
     */
    public Integer getStatusFlag() {
        return statusFlag;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_tag.status_flag
     *
     * @param statusFlag the value for tab_haoban_qywx_tag.status_flag
     */
    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_tag.create_time
     *
     * @return the value of tab_haoban_qywx_tag.create_time
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_tag.create_time
     *
     * @param createTime the value for tab_haoban_qywx_tag.create_time
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * This method returns the value of the database column tab_haoban_qywx_tag.update_time
     *
     * @return the value of tab_haoban_qywx_tag.update_time
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * This method sets the value of the database column tab_haoban_qywx_tag.update_time
     *
     * @param updateTime the value for tab_haoban_qywx_tag.update_time
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}